PATCH/api/v1/catalog/operations/{operation_id}
Patch Operation
Turn an API on or off for local, staging, or production in this database.
Request example
jsonjson
{
"tasks": [
{
"id": "T1",
"duration_days": 5
}
]
}Request fields from OpenAPI contract
This table is generated from the endpoint schema in openapi.json.
| Field | Type | Required | Description |
|---|---|---|---|
| visible_local | boolean | null | Optional | No description in OpenAPI contract. |
| visible_staging | boolean | null | Optional | No description in OpenAPI contract. |
| visible_production | boolean | null | Optional | No description in OpenAPI contract. |
Response example
jsonjson
{
"score": 92,
"grade": "A"
}Schema
json-schema
{
"type": "object",
"additionalProperties": true,
"title": "Response Patch Operation"
}Reference details
- Operation ID
- patch_operation
- Section
- Catalog
- Tags
- Catalog
Was this page helpful?
Your feedback helps us improve docs, reference pages, and Playground flows.
Topic: Patch Operation · Page: /docs/api-reference/patch_operation